## haskell-haxr 3000.8.2

=== examples/Makefile ===
GHC = ghc
GHCFLAGS = -O2 -package haxr -fallow-overlapping-instances

TEST_PROGS = make-stubs parse_response \
             person_server person_client raw_call \
	     simple_client simple_server test_client \
             test_server time-xmlrpc-com validate \
             person_server person_client

.SUFFIXES: .hs .hi .o

.PHONY: all clean

default all: $(TEST_PROGS)

%: %.hs
	$(GHC) $(GHCFLAGS) --make -o $@ $<

clean:
	-rm -f *.hi *.o $(TEST_PROGS)

## haskell-haxr 3000.8.1

=== debian/changelog ===
haskell-haxr (3000.8.1-1) unstable; urgency=low

  [ Marco Silva ]
  * Use ghc instead of ghc6

  [ TANIGUCHI Takaki ]
  * debian/control: Change Maintainer to Haskell Team.

  [ Joachim Breitner ]
  * New upstream release

  [ Marco Túlio Gontijo e Silva ]
  * control: Bump Standards-Version to 3.9.2.  No changes needed.
  * rules: Remove unneeded atribution of DEB_CABAL_PACKAGE.
  * control: Move -doc build-dependencies to Build-Depends-Indep.
  * control: Add fields Vcs-Darcs and Vcs-Browser.
  * control: Remove references to GHC 6.
  * control: Update Build-Dependencies for new version.
  * Use template-debian watch file.

  [ Joachim Breitner ]
  * Depend on ghci, as it uses Template Haskell 
  * Source format 3.0 (quilt)

 -- Joachim Breitner <nomeata@debian.org>  Fri, 27 May 2011 16:40:35 +0200

haskell-haxr (3000.2.1-2) unstable; urgency=low

  * debian/control: Remove hscolour from Build-Depends:, since it's now a
    Depends: of haskell-devscripts.
  * debian/control: Remove haddock from Build-Depends:, since it's now a
    Depends: of haskell-devscripts. 
  * Bump haskell-devscripts dependency to 0.7.
  * debian/control: Bump Standards-Version: to 3.8.4, no changes needed.

 -- TANIGUCHI Takaki <takaki@debian.org>  Fri, 26 Feb 2010 17:07:30 +0900

haskell-haxr (3000.2.1-1) unstable; urgency=low

  * Initial release (Closes: #458367)

 -- TANIGUCHI Takaki <takaki@debian.org>  Thu, 12 Nov 2009 21:44:08 +0900

=== debian/control ===
Source: haskell-haxr
Section: haskell
Priority: extra
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org> 
Uploaders: TANIGUCHI Takaki <takaki@debian.org>
Build-Depends: cdbs, debhelper (>= 7), haskell-devscripts(>= 0.8),
        ghc,
        ghc-prof,
        ghc-ghci,
        libghc-mtl-dev,
        libghc-mtl-prof,
        libghc-network-dev (<< 3),
        libghc-network-prof,
        libghc-haxml-dev (>= 1:1.20),
        libghc-haxml-dev (<< 1:1.21),
        libghc-haxml-prof,
        libghc-http-dev (>= 1:4000),
        libghc-dataenc-dev,
        libghc-dataenc-prof,
        libghc-utf8-string-dev,
        libghc-utf8-string-prof,
        libghc-blaze-builder-dev (>= 0.2),
        libghc-blaze-builder-dev (<< 0.3)
Build-Depends-Indep: ghc-doc,
        libghc-mtl-doc,
        libghc-network-doc,
        libghc-haxml-doc,
        libghc-http-doc,
        libghc-dataenc-doc,
        libghc-utf8-string-doc,
        libghc-blaze-builder-doc,
        libghc-blaze-builder-doc 
Standards-Version: 3.9.2
Homepage: http://www.haskell.org/haxr/
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-haxr
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-haxr

Package: libghc-haxr-dev
Architecture: any
Depends: ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: XML-RPC client and server library for Haskell
 HaXR is a library for writing XML-RPC client and server applications in
 Haskell.
 .
 HaXR consists of two packages: haxr and haxr-th. The latter package
 contains the Template Haskell code used for automatically deriving
 XML-RPC struct representations for Haskell records.
 .
 This package contains the libraries compiled for GHC.

Package: libghc-haxr-prof
Architecture: any
Depends: ${haskell:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: XML-RPC client and server library for Haskell; profiling library
 HaXR is a library for writing XML-RPC client and server applications in
 Haskell.
 .
 HaXR consists of two packages: haxr and haxr-th. The latter package
 contains the Template Haskell code used for automatically deriving
 XML-RPC struct representations for Haskell records.
 .
 This package contains the profiling libraries compiled for GHC.

Package: libghc-haxr-doc
Section: doc
Architecture: all
Depends: ${haskell:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: XML-RPC client and server library for Haskell; documentation
 HaXR is a library for writing XML-RPC client and server applications in
 Haskell.
 .
 HaXR consists of two packages: haxr and haxr-th. The latter package
 contains the Template Haskell code used for automatically deriving
 XML-RPC struct representations for Haskell records.
 .
 This package contains the libraries documentation.

## haskell-haxr 3000.8.2

=== debian/changelog ===
haskell-haxr (3000.8.2-1build2) precise; urgency=low

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 11 Nov 2011 16:53:39 +0000

haskell-haxr (3000.8.2-1build1) precise; urgency=low

  * Rebuild for new libghc-dataenc-dev ABI.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 28 Oct 2011 16:37:28 +0100

haskell-haxr (3000.8.2-1) unstable; urgency=low

  * New upstream release

 -- TANIGUCHI Takaki <takaki@debian.org>  Tue, 14 Jun 2011 19:35:58 +0900

haskell-haxr (3000.8.1-2) unstable; urgency=low

  * Add missing *-prof build depends, thx to ucko for the report.  (Closes:
    #628182)

 -- Joachim Breitner <nomeata@debian.org>  Sat, 28 May 2011 21:24:52 +0200

=== debian/control ===
--- 
+++ 
@@ -15,12 +15,14 @@
         libghc-haxml-dev (<< 1:1.21),
         libghc-haxml-prof,
         libghc-http-dev (>= 1:4000),
+        libghc-http-prof,
         libghc-dataenc-dev,
         libghc-dataenc-prof,
         libghc-utf8-string-dev,
         libghc-utf8-string-prof,
         libghc-blaze-builder-dev (>= 0.2),
-        libghc-blaze-builder-dev (<< 0.3)
+        libghc-blaze-builder-dev (<< 0.3),
+        libghc-blaze-builder-prof,
 Build-Depends-Indep: ghc-doc,
         libghc-mtl-doc,
         libghc-network-doc,
@@ -28,7 +30,6 @@
         libghc-http-doc,
         libghc-dataenc-doc,
         libghc-utf8-string-doc,
-        libghc-blaze-builder-doc,
         libghc-blaze-builder-doc 
 Standards-Version: 3.9.2
 Homepage: http://www.haskell.org/haxr/

## haskell-haxr 3000.8.5

=== debian/changelog ===
haskell-haxr (3000.8.5-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version to 3.9.3.
    + debian/control: Update Format URI. 

 -- TANIGUCHI Takaki <takaki@debian.org>  Mon, 05 Mar 2012 13:28:08 +0900

haskell-haxr (3000.8.4-1) unstable; urgency=low

  * New upstream release

 -- TANIGUCHI Takaki <takaki@debian.org>  Thu, 11 Aug 2011 21:35:03 +0900

=== debian/control ===
--- 
+++ 
@@ -11,8 +11,8 @@
         libghc-mtl-prof,
         libghc-network-dev (<< 3),
         libghc-network-prof,
-        libghc-haxml-dev (>= 1:1.20),
-        libghc-haxml-dev (<< 1:1.21),
+        libghc-haxml-dev (>= 1:1.22),
+        libghc-haxml-dev (<< 1:1.23),
         libghc-haxml-prof,
         libghc-http-dev (>= 1:4000),
         libghc-http-prof,
@@ -21,7 +21,7 @@
         libghc-utf8-string-dev,
         libghc-utf8-string-prof,
         libghc-blaze-builder-dev (>= 0.2),
-        libghc-blaze-builder-dev (<< 0.3),
+        libghc-blaze-builder-dev (<< 0.4),
         libghc-blaze-builder-prof,
 Build-Depends-Indep: ghc-doc,
         libghc-mtl-doc,
@@ -31,7 +31,7 @@
         libghc-dataenc-doc,
         libghc-utf8-string-doc,
         libghc-blaze-builder-doc 
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://www.haskell.org/haxr/
 Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-haxr
 Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-haxr

## haskell-haxr 3000.9.0.1

=== debian/changelog ===
haskell-haxr (3000.9.0.1-2build3) trusty; urgency=medium

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 27 Dec 2013 13:15:06 +0000

haskell-haxr (3000.9.0.1-2build2) trusty; urgency=low

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 14 Dec 2013 02:27:51 +0000

haskell-haxr (3000.9.0.1-2build1) saucy; urgency=low

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 30 May 2013 10:37:12 +0100

haskell-haxr (3000.9.0.1-2) unstable; urgency=low

  * Enable compat level 9

 -- Joachim Breitner <nomeata@debian.org>  Fri, 24 May 2013 12:50:51 +0200

haskell-haxr (3000.9.0.1-1) experimental; urgency=low

  * Depend on haskell-devscripts 0.8.13 to ensure this packages is built
    against experimental
  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Thu, 07 Feb 2013 19:30:02 +0100

haskell-haxr (3000.8.5-2) experimental; urgency=low

  [ Giovanni Mascellani ]
  * Team upload.
  * Fix Homepage: link

  [ Joachim Breitner ]
  * Bump standards version, no change

 -- Joachim Breitner <nomeata@debian.org>  Sun, 14 Oct 2012 12:01:01 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org> 
 Uploaders: TANIGUCHI Takaki <takaki@debian.org>
-Build-Depends: cdbs, debhelper (>= 7), haskell-devscripts(>= 0.8),
+Build-Depends: cdbs, debhelper (>= 9), haskell-devscripts (>= 0.8.13),
         ghc,
         ghc-prof,
         ghc-ghci,
@@ -12,12 +12,12 @@
         libghc-network-dev (<< 3),
         libghc-network-prof,
         libghc-haxml-dev (>= 1:1.22),
-        libghc-haxml-dev (<< 1:1.23),
+        libghc-haxml-dev (<< 1:1.24),
         libghc-haxml-prof,
         libghc-http-dev (>= 1:4000),
         libghc-http-prof,
-        libghc-dataenc-dev,
-        libghc-dataenc-prof,
+        libghc-base64-bytestring-dev,
+        libghc-base64-bytestring-prof,
         libghc-utf8-string-dev,
         libghc-utf8-string-prof,
         libghc-blaze-builder-dev (>= 0.2),
@@ -28,11 +28,11 @@
         libghc-network-doc,
         libghc-haxml-doc,
         libghc-http-doc,
-        libghc-dataenc-doc,
+        libghc-base64-bytestring-doc,
         libghc-utf8-string-doc,
         libghc-blaze-builder-doc 
-Standards-Version: 3.9.3
-Homepage: http://www.haskell.org/haxr/
+Standards-Version: 3.9.4
+Homepage: http://hackage.haskell.org/package/haxr
 Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-haxr
 Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-haxr

=== debian/watch ===
version=3
opts="downloadurlmangle=s|archive/([\w\d_-]+)/([\d\.]+)/|archive/$1/$2/$1-$2.tar.gz|,\
filenamemangle=s|(.*)/$|haxr-$1.tar.gz|" \
    http://hackage.haskell.org/packages/archive/haxr \
    ([\d\.]*\d)/

## haskell-haxr 3000.10.4.2

=== debian/changelog ===
haskell-haxr (3000.10.4.2-1build4) wily; urgency=medium

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 17 Jul 2015 16:37:34 +0100

haskell-haxr (3000.10.4.2-1build3) wily; urgency=medium

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 02 Jul 2015 12:12:59 +0100

haskell-haxr (3000.10.4.2-1build2) wily; urgency=medium

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 04 Jun 2015 10:31:12 +0100

haskell-haxr (3000.10.4.2-1build1) wily; urgency=medium

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 25 May 2015 18:32:22 +0100

haskell-haxr (3000.10.4.2-1) unstable; urgency=medium

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Wed, 29 Apr 2015 19:59:35 +0200

haskell-haxr (3000.9.0.1-3) experimental; urgency=low

  * Adjust watch file to new hackage layout
  * Depend on haskell-devscripts 0.9, found in experimental

 -- Joachim Breitner <nomeata@debian.org>  Sat, 20 Dec 2014 17:10:47 +0100

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,22 @@
 Priority: extra
 Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org> 
 Uploaders: TANIGUCHI Takaki <takaki@debian.org>
-Build-Depends: cdbs, debhelper (>= 9), haskell-devscripts (>= 0.8.13),
+Build-Depends: cdbs, debhelper (>= 9), haskell-devscripts (>= 0.9),
         ghc,
         ghc-prof,
         ghc-ghci,
         libghc-mtl-dev,
         libghc-mtl-prof,
-        libghc-network-dev (<< 3),
+        libghc-mtl-compat-dev,
+        libghc-mtl-compat-prof,
+        libghc-network-dev (>= 2.6),
+        libghc-network-dev (<< 2.7),
         libghc-network-prof,
+        libghc-network-uri-dev (>= 2.6),
+        libghc-network-uri-dev (<< 2.7),
+        libghc-network-uri-prof,
         libghc-haxml-dev (>= 1:1.22),
-        libghc-haxml-dev (<< 1:1.24),
+        libghc-haxml-dev (<< 1:1.26),
         libghc-haxml-prof,
         libghc-http-dev (>= 1:4000),
         libghc-http-prof,
@@ -21,11 +27,13 @@
         libghc-utf8-string-dev,
         libghc-utf8-string-prof,
         libghc-blaze-builder-dev (>= 0.2),
-        libghc-blaze-builder-dev (<< 0.4),
+        libghc-blaze-builder-dev (<< 0.5),
         libghc-blaze-builder-prof,
 Build-Depends-Indep: ghc-doc,
         libghc-mtl-doc,
+        libghc-mtl-compat-doc,
         libghc-network-doc,
+        libghc-network-uri-doc,
         libghc-haxml-doc,
         libghc-http-doc,
         libghc-base64-bytestring-doc,

## haskell-haxr 3000.11.1.2

=== debian/changelog ===
haskell-haxr (3000.11.1.2-1build1) xenial; urgency=medium

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 26 Jan 2016 02:09:27 +0000

haskell-haxr (3000.11.1.2-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Fri, 04 Dec 2015 00:09:47 -0500

haskell-haxr (3000.11.1.1-3) unstable; urgency=medium

  * Switch Vcs-Git/Vcs-Browser headers to new location.

 -- Clint Adams <clint@debian.org>  Thu, 03 Dec 2015 14:54:32 -0500

haskell-haxr (3000.11.1.1-2) experimental; urgency=medium

  * Depend on old-{locale,time}
  * Bump standards-version to 3.9.6
  * Depend on haskell-devscripts >= 0.10 to ensure that this package
    builds against GHC in experimental

 -- Joachim Breitner <nomeata@debian.org>  Thu, 20 Aug 2015 10:27:47 +0200

haskell-haxr (3000.11.1.1-1) unstable; urgency=medium

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Sat, 15 Aug 2015 13:50:36 +0200

=== debian/control ===
Source: haskell-haxr
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: TANIGUCHI Takaki <takaki@debian.org>
Priority: extra
Section: haskell
Build-Depends: debhelper (>= 9),
 haskell-devscripts (>= 0.10),
 cdbs,
 ghc,
 ghc-prof,
 ghc-ghci,
 libghc-haxml-dev (>= 1:1.22),
 libghc-haxml-dev (<< 1:1.26),
 libghc-haxml-prof,
 libghc-hsopenssl-dev,
 libghc-hsopenssl-prof,
 libghc-base-compat-dev (>= 0.8),
 libghc-base-compat-dev (<< 0.9),
 libghc-base-compat-prof,
 libghc-base64-bytestring-dev,
 libghc-base64-bytestring-prof,
 libghc-blaze-builder-dev (>= 0.2),
 libghc-blaze-builder-dev (<< 0.5),
 libghc-blaze-builder-prof,
 libghc-http-streams-dev,
 libghc-http-streams-prof,
 libghc-http-types-dev,
 libghc-http-types-prof,
 libghc-io-streams-dev,
 libghc-io-streams-prof,
 libghc-mtl-dev (>= 2.2.1),
 libghc-mtl-prof,
 libghc-network-dev (>= 2.6),
 libghc-network-dev (<< 2.7),
 libghc-network-prof,
 libghc-network-uri-dev (>= 2.6),
 libghc-network-uri-prof,
 libghc-old-locale-dev,
 libghc-old-locale-prof,
 libghc-old-time-dev,
 libghc-old-time-prof,
 libghc-utf8-string-dev,
 libghc-utf8-string-prof,
Build-Depends-Indep: ghc-doc,
 libghc-haxml-doc,
 libghc-hsopenssl-doc,
 libghc-base-compat-doc,
 libghc-base64-bytestring-doc,
 libghc-blaze-builder-doc,
 libghc-http-streams-doc,
 libghc-http-types-doc,
 libghc-io-streams-doc,
 libghc-mtl-doc,
 libghc-network-doc,
 libghc-network-uri-doc,
 libghc-old-locale-doc,
 libghc-old-time-doc,
 libghc-utf8-string-doc,
Standards-Version: 3.9.6
Homepage: http://www.haskell.org/haskellwiki/HaXR
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/
Vcs-Git: git://git.debian.org/git/pkg-haskell/DHG_packages.git

Package: libghc-haxr-dev
Architecture: any
Depends: ${haskell:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Provides: ${haskell:Provides},
Description: XML-RPC client and server library for Haskell
 HaXR is a library for writing XML-RPC client and server applications in
 Haskell.
 .
 HaXR consists of two packages: haxr and haxr-th. The latter package
 contains the Template Haskell code used for automatically deriving
 XML-RPC struct representations for Haskell records.
 .
 This package contains the libraries compiled for GHC.

Package: libghc-haxr-prof
Architecture: any
Depends: ${haskell:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Provides: ${haskell:Provides},
Description: XML-RPC client and server library for Haskell; profiling library
 HaXR is a library for writing XML-RPC client and server applications in
 Haskell.
 .
 HaXR consists of two packages: haxr and haxr-th. The latter package
 contains the Template Haskell code used for automatically deriving
 XML-RPC struct representations for Haskell records.
 .
 This package contains the profiling libraries compiled for GHC.

Package: libghc-haxr-doc
Architecture: all
Section: doc
Depends: ${haskell:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Provides: ${haskell:Provides},
Description: XML-RPC client and server library for Haskell; documentation
 HaXR is a library for writing XML-RPC client and server applications in
 Haskell.
 .
 HaXR consists of two packages: haxr and haxr-th. The latter package
 contains the Template Haskell code used for automatically deriving
 XML-RPC struct representations for Haskell records.
 .
 This package contains the libraries documentation.

## haskell-haxr 3000.11.1.5

=== debian/changelog ===
haskell-haxr (3000.11.1.5-1build1) yakkety; urgency=medium

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 29 Jun 2016 15:42:39 +0100

haskell-haxr (3000.11.1.5-1) unstable; urgency=medium

  [ Dmitry Bogatov ]
  * Use secure (https) uri in Vcs-Git field in 'debian/control'
  * Bump standards version to 3.9.8 (no changes needed)

  [ Joachim Breitner ]
  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Sun, 29 May 2016 12:11:36 +0200

haskell-haxr (3000.11.1.4-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Sat, 09 Apr 2016 15:39:03 -0400

haskell-haxr (3000.11.1.3-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Sun, 13 Mar 2016 20:02:10 -0400

## haskell-haxr 3000.11.1.6

=== debian/changelog ===
haskell-haxr (3000.11.1.6-1build2) yakkety; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 06 Aug 2016 08:12:16 +0200

haskell-haxr (3000.11.1.6-1build1) yakkety; urgency=medium

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 16 Jul 2016 01:44:13 +0100

haskell-haxr (3000.11.1.6-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Tue, 12 Jul 2016 16:40:07 -0400

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  libghc-hsopenssl-dev,
  libghc-hsopenssl-prof,
  libghc-base-compat-dev (>= 0.8),
- libghc-base-compat-dev (<< 0.9),
+ libghc-base-compat-dev (<< 0.10),
  libghc-base-compat-prof,
  libghc-base64-bytestring-dev,
  libghc-base64-bytestring-prof,
@@ -56,10 +56,10 @@
  libghc-old-locale-doc,
  libghc-old-time-doc,
  libghc-utf8-string-doc,
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://www.haskell.org/haskellwiki/HaXR
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/
-Vcs-Git: git://git.debian.org/git/pkg-haskell/DHG_packages.git
+Vcs-Git: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git
 
 Package: libghc-haxr-dev
 Architecture: any

## haskell-haxr 3000.11.2

=== examples/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 GHC = ghc
-GHCFLAGS = -O2 -package haxr -fallow-overlapping-instances
+GHCFLAGS = -O2 -package haxr -XOverlappingInstances
 
 TEST_PROGS = make-stubs parse_response \
              person_server person_client raw_call \

=== debian/changelog ===
haskell-haxr (3000.11.2-3build6) bionic; urgency=medium

  * No-change rebuild against libghc-hsopenssl-dev-0.11.4.11-b1901

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 04 Nov 2017 00:53:48 +0000

haskell-haxr (3000.11.2-3build5) artful; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 20 Jul 2017 08:48:20 +0200

haskell-haxr (3000.11.2-3build4) artful; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 19 Jul 2017 07:33:04 +0200

haskell-haxr (3000.11.2-3build3) artful; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 10 Jul 2017 18:27:34 +0200

haskell-haxr (3000.11.2-3build2) artful; urgency=medium

  * No-change rebuild for new GHC ABIs

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 21 Jun 2017 05:38:04 +0000

haskell-haxr (3000.11.2-3build1) zesty; urgency=medium

  * Rebuild against latest GHC.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sat, 28 Jan 2017 09:57:56 +0530

haskell-haxr (3000.11.2-3) unstable; urgency=medium

  * Upload to unstable as part of GHC 8 transition.

 -- Clint Adams <clint@debian.org>  Thu, 27 Oct 2016 18:34:01 -0400

haskell-haxr (3000.11.2-2) experimental; urgency=medium

  * Temporarily build-depend on ghc 8.

 -- Clint Adams <clint@debian.org>  Mon, 17 Oct 2016 17:07:01 -0400

haskell-haxr (3000.11.2-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Thu, 25 Aug 2016 22:38:18 -0400

=== debian/control ===
Source: haskell-haxr
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders:
 TANIGUCHI Takaki <takaki@debian.org>,
Priority: extra
Section: haskell
Build-Depends:
 cdbs,
 debhelper (>= 9),
 ghc (>= 8),
 ghc-ghci,
 ghc-prof,
 haskell-devscripts (>= 0.13),
 libghc-base-compat-dev (<< 0.10),
 libghc-base-compat-dev (>= 0.8),
 libghc-base-compat-prof,
 libghc-base64-bytestring-dev,
 libghc-base64-bytestring-prof,
 libghc-blaze-builder-dev (<< 0.5),
 libghc-blaze-builder-dev (>= 0.2),
 libghc-blaze-builder-prof,
 libghc-haxml-dev (<< 1:1.26),
 libghc-haxml-dev (>= 1:1.22),
 libghc-haxml-prof,
 libghc-hsopenssl-dev,
 libghc-hsopenssl-prof,
 libghc-http-streams-dev,
 libghc-http-streams-prof,
 libghc-http-types-dev,
 libghc-http-types-prof,
 libghc-io-streams-dev,
 libghc-io-streams-prof,
 libghc-mtl-dev (>= 2.2.1),
 libghc-mtl-prof,
 libghc-network-dev (<< 2.7),
 libghc-network-dev (>= 2.6),
 libghc-network-prof,
 libghc-network-uri-dev (>= 2.6),
 libghc-network-uri-prof,
 libghc-old-locale-dev,
 libghc-old-locale-prof,
 libghc-old-time-dev,
 libghc-old-time-prof,
 libghc-text-dev,
 libghc-text-prof,
 libghc-utf8-string-dev,
 libghc-utf8-string-prof,
Build-Depends-Indep:
 ghc-doc,
 libghc-base-compat-doc,
 libghc-base64-bytestring-doc,
 libghc-blaze-builder-doc,
 libghc-haxml-doc,
 libghc-hsopenssl-doc,
 libghc-http-streams-doc,
 libghc-http-types-doc,
 libghc-io-streams-doc,
 libghc-mtl-doc,
 libghc-network-doc,
 libghc-network-uri-doc,
 libghc-old-locale-doc,
 libghc-old-time-doc,
 libghc-text-doc,
 libghc-utf8-string-doc,
Standards-Version: 3.9.8
Homepage: http://www.haskell.org/haskellwiki/HaXR
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/tree/p/haskell-haxr
Vcs-Git: https://anonscm.debian.org/git/pkg-haskell/DHG_packages.git

Package: libghc-haxr-dev
Architecture: any
Depends:
 ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Provides:
 ${haskell:Provides},
Description: XML-RPC client and server library for Haskell
 HaXR is a library for writing XML-RPC client and server applications in
 Haskell.
 .
 HaXR consists of two packages: haxr and haxr-th. The latter package
 contains the Template Haskell code used for automatically deriving
 XML-RPC struct representations for Haskell records.
 .
 This package contains the libraries compiled for GHC.

Package: libghc-haxr-prof
Architecture: any
Depends:
 ${haskell:Depends},
 ${misc:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Provides:
 ${haskell:Provides},
Description: XML-RPC client and server library for Haskell; profiling library
 HaXR is a library for writing XML-RPC client and server applications in
 Haskell.
 .
 HaXR consists of two packages: haxr and haxr-th. The latter package
 contains the Template Haskell code used for automatically deriving
 XML-RPC struct representations for Haskell records.
 .
 This package contains the profiling libraries compiled for GHC.

Package: libghc-haxr-doc
Architecture: all
Section: doc
Depends:
 ${haskell:Depends},
 ${misc:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Provides:
 ${haskell:Provides},
Description: XML-RPC client and server library for Haskell; documentation
 HaXR is a library for writing XML-RPC client and server applications in
 Haskell.
 .
 HaXR consists of two packages: haxr and haxr-th. The latter package
 contains the Template Haskell code used for automatically deriving
 XML-RPC struct representations for Haskell records.
 .
 This package contains the libraries documentation.

=== debian/watch ===
version=3
http://hackage.haskell.org/package/haxr/distro-monitor .*-([0-9\.]+).(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## haskell-haxr 3000.11.3

=== debian/changelog ===
haskell-haxr (3000.11.3-3) unstable; urgency=medium

  * Bump dependency bounds

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 06 Sep 2019 20:15:17 +0200

haskell-haxr (3000.11.3-2) unstable; urgency=medium

  * Patch out buggy duplicate network dep.

 -- Clint Adams <clint@debian.org>  Sun, 28 Jul 2019 14:44:36 -0400

haskell-haxr (3000.11.3-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Sun, 28 Jul 2019 14:35:37 -0400

haskell-haxr (3000.11.2-7) unstable; urgency=medium

  * Patch for newer base-compat and newer base.

 -- Clint Adams <clint@debian.org>  Mon, 05 Nov 2018 20:20:17 -0500

haskell-haxr (3000.11.2-6) unstable; urgency=medium

  * Remove build dependency on libghc-mtl-dev (provided by ghc-8.4.3)
  * Remove build dependency on libghc-text-dev (provided by ghc-8.4.3)

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Mon, 01 Oct 2018 13:47:32 +0300

haskell-haxr (3000.11.2-5) unstable; urgency=medium

  [ Clint Adams ]
  * Set Rules-Requires-Root to no.

  [ Ilias Tsitsimpis ]
  * Bump debhelper compat level to 10

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sun, 30 Sep 2018 21:10:39 +0300

haskell-haxr (3000.11.2-4) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Change Priority to optional. Since Debian Policy version 4.0.1,
    priority extra has been deprecated.
  * Use the HTTPS form of the copyright-format URL
  * Modify d/watch and Source field in d/copyright to use HTTPS
  * Declare compliance with Debian policy 4.1.1
  * Use salsa.debian.org URLs in Vcs-{Browser,Git} fields

  [ Clint Adams ]
  * Bump to Standards-Version 4.1.4.

 -- Clint Adams <clint@debian.org>  Mon, 09 Apr 2018 20:04:51 -0400

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: haskell-haxr
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders:
  TANIGUCHI Takaki <takaki@debian.org>,
-Priority: extra
+Priority: optional
 Section: haskell
+Rules-Requires-Root: no
 Build-Depends:
  cdbs,
- debhelper (>= 9),
- ghc (>= 8),
+ debhelper (>= 10),
+ ghc (>= 8.4.3),
  ghc-ghci,
  ghc-prof,
  haskell-devscripts (>= 0.13),
- libghc-base-compat-dev (<< 0.10),
  libghc-base-compat-dev (>= 0.8),
+ libghc-base-compat-dev (<< 0.11),
  libghc-base-compat-prof,
  libghc-base64-bytestring-dev,
  libghc-base64-bytestring-prof,
@@ -31,9 +31,7 @@
  libghc-http-types-prof,
  libghc-io-streams-dev,
  libghc-io-streams-prof,
- libghc-mtl-dev (>= 2.2.1),
- libghc-mtl-prof,
- libghc-network-dev (<< 2.7),
+ libghc-network-dev (<< 2.9),
  libghc-network-dev (>= 2.6),
  libghc-network-prof,
  libghc-network-uri-dev (>= 2.6),
@@ -42,8 +40,6 @@
  libghc-old-locale-prof,
  libghc-old-time-dev,
  libghc-old-time-prof,
- libghc-text-dev,
- libghc-text-prof,
  libghc-utf8-string-dev,
  libghc-utf8-string-prof,
 Build-Depends-Indep:
@@ -56,17 +52,15 @@
  libghc-http-streams-doc,
  libghc-http-types-doc,
  libghc-io-streams-doc,
- libghc-mtl-doc,
  libghc-network-doc,
  libghc-network-uri-doc,
  libghc-old-locale-doc,
  libghc-old-time-doc,
- libghc-text-doc,
  libghc-utf8-string-doc,
-Standards-Version: 3.9.8
+Standards-Version: 4.2.1
 Homepage: http://www.haskell.org/haskellwiki/HaXR
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/tree/p/haskell-haxr
-Vcs-Git: https://anonscm.debian.org/git/pkg-haskell/DHG_packages.git
+Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-haxr
+Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-haxr]
 
 Package: libghc-haxr-dev
 Architecture: any

## haskell-haxr 3000.11.4

=== debian/changelog ===
haskell-haxr (3000.11.4-1build2) groovy; urgency=medium

  * Rebuild against new GHC abi.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 24 Jul 2020 11:32:02 +0200

haskell-haxr (3000.11.4-1build1) groovy; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 01 Jul 2020 10:27:52 +0200

haskell-haxr (3000.11.4-1) unstable; urgency=medium

  * New upstream version.

 -- Clint Adams <clint@debian.org>  Sat, 13 Jun 2020 10:48:35 -0400

## haskell-haxr 3000.11.4.1

=== debian/changelog ===
haskell-haxr (3000.11.4.1-2) unstable; urgency=medium

  * Declare compliance with Debian policy 4.6.1
  * Patch for newer dependencies

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Wed, 27 Jul 2022 10:45:34 +0300

haskell-haxr (3000.11.4.1-1) unstable; urgency=medium

  * New upstream version.

 -- Clint Adams <clint@debian.org>  Sun, 02 Aug 2020 19:57:07 -0400

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  ghc-prof,
  haskell-devscripts (>= 0.13),
  libghc-base-compat-dev (>= 0.8),
- libghc-base-compat-dev (<< 0.11),
+ libghc-base-compat-dev (<< 0.13),
  libghc-base-compat-prof,
  libghc-base64-bytestring-dev,
  libghc-base64-bytestring-prof,
@@ -31,8 +31,8 @@
  libghc-http-types-prof,
  libghc-io-streams-dev,
  libghc-io-streams-prof,
- libghc-network-dev (<< 2.9),
  libghc-network-dev (>= 2.6),
+ libghc-network-dev (<< 3.2),
  libghc-network-prof,
  libghc-network-uri-dev (>= 2.6),
  libghc-network-uri-prof,
@@ -57,7 +57,7 @@
  libghc-old-locale-doc,
  libghc-old-time-doc,
  libghc-utf8-string-doc,
-Standards-Version: 4.2.1
+Standards-Version: 4.6.1
 Homepage: http://www.haskell.org/haskellwiki/HaXR
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-haxr
 Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-haxr]

## haskell-haxr 3000.11.5

=== debian/changelog ===
haskell-haxr (3000.11.5-1build3) noble; urgency=medium

  * No-change rebuild against libssl3t64.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 15 Apr 2024 20:19:49 +0100

haskell-haxr (3000.11.5-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 01:22:26 +0000

haskell-haxr (3000.11.5-1build1) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 18:10:28 +0000

haskell-haxr (3000.11.5-1) unstable; urgency=medium

  * Declare compliance with Debian policy 4.6.2
  * New upstream release

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Fri, 06 Oct 2023 20:56:14 +0300

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: haskell-haxr
-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders:
  TANIGUCHI Takaki <takaki@debian.org>,
 Priority: optional
@@ -8,7 +9,7 @@
 Build-Depends:
  cdbs,
  debhelper (>= 10),
- ghc (>= 8.4.3),
+ ghc (>= 9.4),
  ghc-ghci,
  ghc-prof,
  haskell-devscripts (>= 0.13),
@@ -57,7 +58,7 @@
  libghc-old-locale-doc,
  libghc-old-time-doc,
  libghc-utf8-string-doc,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: http://www.haskell.org/haskellwiki/HaXR
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-haxr
 Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-haxr]

=== debian/watch ===
version=3
https://hackage.haskell.org/package/haxr/distro-monitor .*-([0-9\.]+).(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## haskell-haxr 3000.11.5.1

=== debian/changelog ===
haskell-haxr (3000.11.5.1-1) unstable; urgency=medium

  * Declare compliance with Debian policy 4.7.0
  * New upstream release

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Wed, 09 Oct 2024 11:36:17 +0300

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: haskell-haxr
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders:
  TANIGUCHI Takaki <takaki@debian.org>,
 Priority: optional
@@ -14,7 +13,7 @@
  ghc-prof,
  haskell-devscripts (>= 0.13),
  libghc-base-compat-dev (>= 0.8),
- libghc-base-compat-dev (<< 0.13),
+ libghc-base-compat-dev (<< 0.15),
  libghc-base-compat-prof,
  libghc-base64-bytestring-dev,
  libghc-base64-bytestring-prof,
@@ -33,7 +32,7 @@
  libghc-io-streams-dev,
  libghc-io-streams-prof,
  libghc-network-dev (>= 2.6),
- libghc-network-dev (<< 3.2),
+ libghc-network-dev (<< 3.3),
  libghc-network-prof,
  libghc-network-uri-dev (>= 2.6),
  libghc-network-uri-prof,
@@ -58,7 +57,7 @@
  libghc-old-locale-doc,
  libghc-old-time-doc,
  libghc-utf8-string-doc,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: http://www.haskell.org/haskellwiki/HaXR
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-haxr
 Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-haxr]

## haskell-haxr 3000.11.6

=== debian/changelog ===
haskell-haxr (3000.11.6-1) unstable; urgency=medium

  * Build using dh-haskell
  * New upstream release

 -- Scott Talbert <swt@techie.net>  Wed, 11 Feb 2026 17:49:48 -0500

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
 Section: haskell
 Rules-Requires-Root: no
 Build-Depends:
- cdbs,
- debhelper (>= 10),
- ghc (>= 9.4),
+ dh-sequence-haskell,
+ debhelper-compat (= 13),
+ ghc (>= 9.10),
  ghc-ghci,
  ghc-prof,
  haskell-devscripts (>= 0.13),
@@ -57,7 +57,7 @@
  libghc-old-locale-doc,
  libghc-old-time-doc,
  libghc-utf8-string-doc,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Homepage: http://www.haskell.org/haskellwiki/HaXR
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-haxr
 Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-haxr]
